Thread (9 messages) flat view 9 messages, 4 authors, 2018-01-14

Re: [PATCH] travis-ci: build Git during the 'script' phase

From: SZEDER Gábor <hidden>
Date: 2018-01-14 10:37:14

Possibly related (same subject, not in this thread)

On Sat, Jan 13, 2018 at 11:32 AM, Jeff King [off-list ref] wrote:
On Fri, Jan 12, 2018 at 02:32:54PM +0100, SZEDER Gábor wrote:
quoted
That's the just beginning of a looong list of executed test scripts in
seemingly pseudo-random order.  IMHO that's very rarely the interesting
part; I, for one, am only interested in that list in exceptional cases,
e.g. while tweaking the build dependencies or the 'prove --state=...'
options.
Aren't folds supposed to do this? I.e., record all the output but only
show it to the user if the command exited non-zero.

According to:

  https://blog.travis-ci.com/2013-05-22-improving-build-visibility-log-folds

they auto-fold individual commands _except_ the ones in the script
section. Is there a way to manually mark folds in the output?

Hmph. I could not find an answer from travis, but googling seems to turn
up that something like this would work:
Oh.  I did look for something like this in the Travis CI docs, found
nothing and then didn't bother with Google.  Rookie mistake, I know :)

But indeed, have a look at the raw trace log at:

  https://api.travis-ci.org/v3/job/328418291/log.txt

It starts with that "travis_fold:start:..." thing right away.
quoted hunk ↗ jump to hunk
diff --git a/ci/lib-travisci.sh b/ci/lib-travisci.sh
index 07f27c7270..8c830aa3c0 100755
--- a/ci/lib-travisci.sh
+++ b/ci/lib-travisci.sh
@@ -77,6 +77,23 @@ check_unignored_build_artifacts ()
        }
 }

+fold () {
+       printf 'travis_fold:start:%s\r' "$1"
+}
+
+unfold () {
+       printf 'travis_fold:end:%s\r' "$1"
+}
+
+fold_cmd () {
+       local name=$1; shift
+       fold "$name"
+       "$@"
+       local ret=$?
+       unfold "$name"
+       return $ret
+}
We don't have to fiddle with the return value, because we run (almost
all of) our build scripts with 'set -e', i.e. if the command fails then
the script will exit immediately.
quoted hunk ↗ jump to hunk
+
 # Set 'exit on error' for all CI scripts to let the caller know that
 # something went wrong.
 # Set tracing executed commands, primarily setting environment variables
diff --git a/ci/run-build-and-tests.sh b/ci/run-build-and-tests.sh
index d3a094603f..12b2590230 100755
--- a/ci/run-build-and-tests.sh
+++ b/ci/run-build-and-tests.sh
@@ -7,8 +7,8 @@

 ln -s $HOME/travis-cache/.prove t/.prove

-make --jobs=2
-make --quiet test
+fold_cmd compile make --jobs=2
+fold_cmd test make --quiet test

 check_unignored_build_artifacts

I've queued a CI job to see if this actually works. :)

-Peff
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help